Loading...
Searching...
No Matches
CLI::enums Namespace Reference

## Functions

template<typename T, typename = typename std::enable_if<std::is_enum<T>::value>::type>
std::ostream & | operator<< (std::ostream &in, const T &item)
| output streaming for enumerations

## Detailed Description

Include the items in this namespace to get free conversion of enums to/from streams. (This is available inside CLI as well, so CLI11 will use this without a using statement).

## Function Documentation

## operator<<()

template<typename T, typename = typename std::enable_if<std::is_enum<T>::value>::type>

std::ostream & CLI::enums::operator<< | ( | std::ostream & | in,
|  | const T & | item )

output streaming for enumerations